function getData()
{
    var idField = document.getElementById("username");//获取页面用户输入的值--txtUserName 为页面文本框的id

    var url = "Handler.ashx?VCode=" + escape(idField.value);//你要请求的资源
    
    //第一步:声明XMLHttpRequest对象(此例为:[XMLHttpRequestObject]),它是AJAX的核心
    var XMLHttpRequestObject = false;
    //第二步:获取XMLHttpRequest对象
    if (window.XMLHttpRequest) {
      XMLHttpRequestObject = new XMLHttpRequest();
    } else if (window.ActiveXObject) {
      XMLHttpRequestObject = new
        ActiveXObject("Microsoft.XMLHTTP");
    }
    //第三步:通过这个对象的OPEN方法向服务发送请求
    //       该函数声明为XMLHttpRequest.open(String method, String URL, boolean asynchronous);
    //       method是请求的方式，可以为GET和POST URL是你要请求的资源 asynchronous是布尔类型，为true表示交互设置为异步
    if(XMLHttpRequestObject) {
        XMLHttpRequestObject.open("GET", url,true);
    //第四步:由于将交互设置为异步方式，因此要为指定一个回调函数[此处的callback()]：剩下的事就交给回调函数处理了。
    //       判断是否已经调用了而且readyState是4,表示XMLHttpRequest的调用已经完成。HTTP状态代码200表示一个成功的HTTP交互。
      XMLHttpRequestObject.onreadystatechange = function callback()
      {
        if (XMLHttpRequestObject.readyState == 4 &&
          XMLHttpRequestObject.status == 200) {
          //显示提示信息的地方--lblInfo为你页面上显示信息的标签
          //document.getElementById("lblInfo").innerHTML = XMLHttpRequestObject.responseText;
          var info=XMLHttpRequestObject.responseText;
          document.getElementById("lblInfo").innerHTML=info;
          delete XMLHttpRequestObject;
          XMLHttpRequestObject = null;
        }
     }
      //第五步:调用send()(参数是空或是null)将会发起一次请求，对于GET方式的请求，两次同样的请求将会得到相同的结果
      XMLHttpRequestObject.send(null);
    }
  }

